Functions
IT Management
Peripheral Driver » LL Driver » RNG » Functions
Collaboration diagram for IT Management:

## Functions
__STATIC_INLINE void | ll_rng_enable_it (rng_regs_t *RNGx)
| Enable Random Number Generator Interrupt. More...
__STATIC_INLINE void | ll_rng_disable_it (rng_regs_t *RNGx)
| Disable Random Number Generator Interrupt. More...
__STATIC_INLINE uint32_t | ll_rng_is_enabled_it (rng_regs_t *RNGx)
| Check if Random Number Generator Interrupt is enabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_rng_disable_it()

__STATIC_INLINE void ll_rng_disable_it | ( | rng_regs_t * | RNGx | ) |

Disable Random Number Generator Interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG | RNG_IRQ_EN | +-------------------—+--------------------------------—+ \endrst

Parameters

  RNGx | RNG instance.

Return values

  None |

Definition at line 644 of file gr55xx_ll_rng.h.

## ◆ ll_rng_enable_it()

__STATIC_INLINE void ll_rng_enable_it | ( | rng_regs_t * | RNGx | ) |

Enable Random Number Generator Interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG | RNG_IRQ_EN | +-------------------—+--------------------------------—+ \endrst

Parameters

  RNGx | RNG instance.

Return values

  None |

Definition at line 625 of file gr55xx_ll_rng.h.

## ◆ ll_rng_is_enabled_it()

__STATIC_INLINE uint32_t ll_rng_is_enabled_it | ( | rng_regs_t * | RNGx | ) |

Check if Random Number Generator Interrupt is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG | RNG_IRQ_EN | +-------------------—+--------------------------------—+ \endrst

Parameters

  RNGx | RNG instance.

Return values

  State | of bit (1 or 0).

Definition at line 663 of file gr55xx_ll_rng.h.